
QGIS Application - Bug report #4952

Auto-incremental keys should not be left editable in SpatiaLite

2012-02-06 11:17 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14748

Description

While adding features, the pkey field is empty, so the user is tempted to fill it. Obviously this is overwritten upon commit, but this

behaviour is confusing. Better not sow it, best show it with the correct auto-incrementing value.

History

#1 - 2012-03-10 06:48 AM - Arunmozhi P

- File 4952.patch added

Added patch. Skips pkuid for spatialite layers.

#2 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-02-23 06:17 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed in QGIS 3

Files

4952.patch 1012 Bytes 2012-03-10 Arunmozhi P
